Failed dependencies on app installs - help with libraries?

Fresh install of Suomenlina 4.3.0.15 on Xperia 10. I’m having trouble bringing over some of my old apps from XA2, whether installing from OpenRepos or from the .rpm files. I don’t remember these dependencies being missing or messing up the install before, and my last fresh install was on a 10ii so everything was 64 bit and different. I’d love to get Pebble up and running again after fighting that battle on my XA2 so hard.

Any ideas? Are these available in a single package I can grab from somewhere? And how can I get fresh versions of Storeman or Warehouse working - they aren’t installing from my .rpm download from OpenRepos? Help appreciated!

defaultuser@Xperia10]$ rpm -i -v harbour-storeman-0.1.0-1.armv7hl.rpm 
error: Failed dependencies:
	libsolv.so.0 is needed by harbour-storeman-0.1.0-1.armv7hl
	libsolv.so.0(SOLV_1.0) is needed by harbour-storeman-0.1.0-1.armv7hl
[defaultuser@Xperia10]$ rpm -i pebble-1.6-1.armv7hl.rpm 
error: Failed dependencies:
	libQt5Bluetooth.so.5 is needed by pebble-1.6-1.armv7hl
	libicudata.so.46 is needed by pebble-1.6-1.armv7hl
	libicui18n.so.46 is needed by pebble-1.6-1.armv7hl
	libicuuc.so.46 is needed by pebble-1.6-1.armv7hl
[defaultuser@Xperia10]$ rpm -i harbour-warehouse-0.3-22.armv7hl.rpm 
error: Failed dependencies:
	libpackagekit-qt5.so.6 is needed by harbour-warehouse-0.3-22.armv7hl
	harbour-warehouse <= 0.3 is obsoleted by (installed) store-client-1.3.4-1.5.1.jolla.armv7hl

Did you try to manually install the missing libs by ‘pkcon install libname’ ?

edit: forgot to write: as devel-su , but probably obsolete, so better follow @Inte 's advice (next post).

The packages you’re trying to install are rather old. E.g. Storeman is now v2.11 while you’re trying to install v1.01, and warehouse I’s depracted for ages. Maybe fetch the current packages and try again?

1 Like

Thanks! I did try manual installs but it still wasn’t working. On reflection I realized I was having trouble with the “store installer.” Installing from an installer is a new feature since I did my last full system install, and reading the notes it says it relies on OBS and may take a few days after a new release comes out to get all the necessary repos in order.

Fortunately they also listed a path to the actual, old school storeman installation files (i.e. not the ‘installer’.) That worked and I was able to install Rockpool and a range of other tools with all dependencies. My Pebble is now up and running with the Xperia 10.

Leaving this issue here in case someone else has the same problem. I found the Storeman Installer at Storeman Installer | OpenRepos.net — Community Repository System
And the original files via State of Repository 4.3.0.12_armv7hl for home:mentaljam / harbour-storeman-sfos3.3 - SailfishOS Open Build Service - I followed the links and downloaded the armv7hl rpm from Index of /obs/home:/mentaljam/4.3.0.12_armv7hl/armv7hl

Thank you for the help, @Seven.of.nine and @Inte !

1 Like

(Cross-reference: Xperia 10 II Sailfish 4.3 - Storeman install fails just had the same problem, on a 10ii – another solution is listed at the link).